
import java.util.*;
import comprti.*;
import java.io.*;

import jdis.*;
import sgui.*;

/** 
*/
public class runJDIS implements RTIComponent {
  String name = "runJDIS";
  Process aProcess=null;
  SMain window = null;
  public runJDIS() { 
    JDISConstants.load("default.properties");
    String  mCastAddress   = JDISConstants.DEFAULT_MCAST;
    int     gPortNumber    = JDISConstants.DEFAULT_MPORT;
    int     collectUdpPort = JDISConstants.DEFAULT_COLLECTUDPPORT;         
    int     nPortNumber    = JDISConstants.DEFAULT_SERVER_PORT;
    String  nServer        = JDISConstants.DEFAULT_SERVER; 
    window = new SMain(mCastAddress,gPortNumber,collectUdpPort,nServer,nPortNumber);
    window.setTitle(VisConstants.MainFrameTitle);
    window.setSize(420, 460);
    //window.setVisible(true);
  }
  public void setContext(RTIContext cnt) { System.out.println(name+".setContext"); };
  public void created()     { System.out.println(name+".created"); };
  public void activated()   { 
    if(window!=null)  window.setVisible(true);
    System.out.println(name+".activated"); 
  };
  public void deactivated() { 
    if(window!=null) window.setVisible(false);
    System.out.println(name+".deactivated");
  }
  public void removed()     { System.out.println(name+".removed"); };

} /* end class app2 */
